ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: ODE-1.x #540
Date Thu, 13 Oct 2016 13:04:43 GMT
See <https://builds.apache.org/job/ODE-1.x/540/>

------------------------------------------
Started by user sathwik
[EnvInject] - Loading node environment variables.
Building remotely on ubuntu-eu2 (Ubuntu ubuntu ubuntu-eu docker) in workspace <https://builds.apache.org/job/ODE-1.x/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://git-wip-us.apache.org/repos/asf/ode.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/ode.git
 > git --version # timeout=10
 > git -c core.askpass=true fetch --tags --progress https://git-wip-us.apache.org/repos/asf/ode.git
+refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/ode-1.3.x^{commit} # timeout=10
Checking out Revision 9d9cff2bd68be9b5b227f139c316bb3eeccc13ae (origin/ode-1.3.x)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 9d9cff2bd68be9b5b227f139c316bb3eeccc13ae
 > git rev-list 9d9cff2bd68be9b5b227f139c316bb3eeccc13ae # timeout=10
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
TEST_PORTS=8888,7171

[EnvInject] - Variables injected successfully.
[ODE-1.x] $ /bin/bash /tmp/hudson8070225859740598493.sh
latest-jruby-jdk7: Pulling from sathwik/apache-buildr
Digest: sha256:3c4b06008fee2b74d5a260e6292cf0704e1fddc97ac94ce65e4c7fb33d129297
Status: Image is up to date for sathwik/apache-buildr:latest-jruby-jdk7
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and
installing your bundle as root will break this application for all non-root
users on this machine.
Fetching gem metadata from https://rubygems.org/.......
Fetching version metadata from https://rubygems.org/.
Resolving dependencies...
net-ssh-3.1.1 requires ruby version >= 2.0, which is incompatible with the
current version, ruby 1.9.3p551 (jruby 1.7.26)
Build step 'Execute shell' marked build as failure
Recording fingerprints
Archiving artifacts
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found.
Configuration error?
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/reports/testng/testng-results.xml
Did not find any matching files.

Mime
View raw message